package com.fdkankan.rubbersheeting;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * Created by Hb_zzZ on 2020/8/25.
 */
@Component
@ConditionalOnProperty(name = "scaling.type",havingValue = "aws")
public class AwsScalingService implements ScalingService{

    /**
     * The name of the launch configuration created by these tests
     */

    protected String launchConfigurationName;
    /**
     * The name of the autoscaling group created by these tests
     */

    protected String autoScalingGroupName;


    @Override
    public String createEcs(){


        return null;
    }

    @Override
    public String createEcsByConfig(Map<String, String> configs) {
        return null;
    }

    @Override
    public String createEcs(String ruleAri) {
        return null;
    }

    @Override
    public String createEcsByConfig(String ruleAri) {
        return null;
    }


    @Override
    public String deleteEcs(String id){
        try {

        }catch (Exception e){
            e.printStackTrace();
        }
        return null;
    }

    @Override
    public String deleteEcs(String groupId, String instanceId) {
        return null;
    }
}
